Package Base Details: nvidia-340xx

Git Clone URL: https://aur.archlinux.org/nvidia-340xx.git (read-only, click to copy)
Submitter: simonsmh
Maintainer: JerryXiao (graysky)
Last Packager: graysky
Votes: 39
Popularity: 1.05
First Submitted: 2019-06-07 10:29
Last Updated: 2020-10-22 11:05

Pinned Comments

graysky commented on 2020-10-18 11:09

https://forums.developer.nvidia.com/t/nvidia-driver-not-yet-supported-for-linux-kernel-5-9/157263

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

papakilo commented on 2020-08-10 15:05

@graysky - Hi, patches for kernel 5.7 have been around and worked good for some time, as I'm using kernel 5.7.14 and Nvidia 340.108 in Manjaro. So I suppose those patches could be the same for kernel 5.8...

graysky commented on 2020-08-09 13:05

@papakilo - Thank you for the link, but unless the new patche(s) are also backwards compatible with 5.7 which is currently offered in [core], and until the 5.8 kernel package moves from [testing] to [core], the package is not out-of-date.

Also, the link you posted only shows a 1-month-old patch for 5.7. I did not see a modification for 5.8. Perhaps I missed it?

papakilo commented on 2020-08-09 12:46

Hi, new patches for kernel 5.8 here: https://gitlab.manjaro.org/packages/extra/linux58-extramodules/nvidia-340xx/

piquer commented on 2020-07-12 12:49

https://forums.developer.nvidia.com/t/patches-for-340-108-and-5-6-rc-need-help-with-driver-init/111760/12

This looks promising for 5.7 kernels.

pgoetz commented on 2020-07-08 18:28

I can't get this or the nvidia-340xx-dkms to work with the newest kernel, 5.7.7.arch1-1.

Xezlec commented on 2020-06-28 20:06

Never mind. Just noticed the GPU fan is not spinning. Guess it's getting to be time to buy a new card.

Xezlec commented on 2020-06-27 16:19

I'm having lots of bad screen tearing with this driver now. I didn't use to have that problem. I can't even watch videos now, it's so bad.

jayache80 commented on 2020-06-26 22:13

Does anyone else have a problem with this module coexisting with forcedeth? If I install this module, every time I plug in an Ethernet cable I get a "watchdog: soft lockup" and have to restart my computer.

However, if I blacklist forcedeth, and simply modprobe forcedeth whenever I need to use Ethernet, it works and doesn't cause a lockup (though I still sense the computer "stumble" a little bit, but only for a split second).

This is with the 9400M chipset on a mid-2009 Macbook Pro (5,5).

wurbelgrumpff commented on 2020-06-19 21:14

@leopseft: same as for me, but also without any problems. Some days before there was a dkms update, today a new kernel (5.7.4) was in core. Since today this strange error-message vanished and everything is okay. I think, it has nothing to do with nvidia driver or its patches, maybe it has been a dkms issue... Nvidia driver works really well and stable.

leopseft commented on 2020-06-16 18:22

Hello folks, I receive the following strange error:

"Unable to install module nvidia/340.108 for kernel 5.4.3-arch1-1: Missing kernel headers"

While I'm using the latest kernel (5.7.2). It has happened again with another kernel versions. I 've tried clean build but I get the same error. The driver works normally though.

Any ideas?